#!/bin/sh
#

EXT=xt_geoip
TCZ=/tmp/$EXT/TCZ

sudo rm -rf /tmp/$EXT

for a in xtables-addons-KERNEL tcl squashfs-tools
	do tce-load -i $a
done

mkdir -p $TCZ/usr/local/share/xt_geoip
mkdir LE

sh /usr/local/libexec/xtables-addons/xt_geoip_dl
sh /usr/local/libexec/xtables-addons/xt_geoip_build.tcl

cp -r LE $TCZ/usr/local/share/xt_geoip

sudo chown -R root.root $TCZ

mksquashfs $TCZ /tmp/$EXT/$EXT.tcz -noappend

